<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('penilaian_gmfm', function (Blueprint $table) {
            $table->id();

            // pasien yang dinilai
            $table->foreignId('pasien_id')
                ->constrained('users')
                ->cascadeOnDelete();

            // terapis / admin yang menilai
            $table->foreignId('dinilai_oleh')
                ->constrained('users')
                ->cascadeOnDelete();

            $table->date('tanggal_penilaian');
            $table->text('catatan')->nullable();

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('penilaian_gmfm');
    }
};
